Subject: RE: [Sip] Stateless CANCEL Processing

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 18 Nov 2001 23:37:46 -0500

> -----Original Message-----
> From: Bob Penfield [mailto:[email-masked]]
> Sent: Wednesday, November 14, 2001 5:04 PM
> To: [email-masked]; Jiri Kuthan
> Subject: Re: [Sip] Stateless CANCEL Processing
> 
> 
> ----- Original Message -----
> From: "Jiri Kuthan" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, November 14, 2001 12:31 PM
> Subject: [Sip] Stateless CANCEL Processing
> 
> 
> > Can someone explain my why CANCELs for which no matching
> > INVITE/whatever transaction has not been found *MUST* be
> > processed *statelessly* (S. 16.8, bis-05)?
> >
> > I understand they must be processed (the INVITE might have
> > been stateless) but is then stateless processing of the
> > CANCEL a MUST too?
> >
> > What if the INVITE state does not exist and routing logic
> > asks for state (forking)? (I know, bizzar case but I just
> > wonder if we can remove possibly unnecessary requirements.)
> 
> I'm inclined to agree with Jiri. If the proxy knows that it 
> would not have
> statelessly forwarded the request being cancelled, why cannot it just
> respond with 481 (or even 200).

Hmm. THis is a good point. The main point is to not drop it on the floor;
whether or not it forwards it statelessly, or statefully, I guess that can
be an implementation choice.

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip